"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WinstonLogger = void 0;
class WinstonLogger {
    constructor(logger) {
        this.logger = logger;
    }
    setContext(context) {
        this.context = context;
    }
    log(message, context) {
        return this.logger.info(message, { context: context || this.context });
    }
    error(message, trace, context) {
        return this.logger.error(message, { trace, context: context || this.context });
    }
    warn(message, context) {
        return this.logger.warn(message, { context: context || this.context });
    }
    debug(message, context) {
        return this.logger.debug(message, { context: context || this.context });
    }
    verbose(message, context) {
        return this.logger.verbose(message, { context: context || this.context });
    }
}
exports.WinstonLogger = WinstonLogger;
